Loading...
Searching...
No Matches
irr::scene::IQ3LevelMesh Class Referenceabstract

Interface for a Mesh which can be loaded directly from a Quake3 .bsp-file. More...

`#include <IQ3LevelMesh.h>`

Inheritance diagram for irr::scene::IQ3LevelMesh:

## Public Member Functions

virtual IMesh * | getBrushEntityMesh (quake3::IEntity &ent) const =0
| returns the requested brush entity
virtual IMesh * | getBrushEntityMesh (s32 num) const =0
| returns the requested brush entity
virtual quake3::tQ3EntityList & | getEntityList ()=0
| get's an interface to the entities
virtual const quake3::IShader * | getShader (const c8 *filename, bool fileNameIsValid=true)=0
| loads the shader definition from file
virtual const quake3::IShader * | getShader (u32 index) const =0
| returns a already loaded Shader
Public Member Functions inherited from irr::scene::IAnimatedMesh
virtual f32 | getAnimationSpeed () const =0
| Gets the animation speed of the animated mesh.
virtual u32 | getFrameCount () const =0
| Gets the frame count of the animated mesh.
virtual IMesh * | getMesh (s32 frame, s32 detailLevel=255, s32 startFrameLoop=-1, s32 endFrameLoop=-1)=0
| Returns the IMesh interface for a frame.
virtual E_ANIMATED_MESH_TYPE | getMeshType () const
| Returns the type of the animated mesh.
virtual void | setAnimationSpeed (f32 fps)=0
| Sets the animation speed of the animated mesh.
Public Member Functions inherited from irr::scene::IMesh
virtual const core::aabbox3d< f32 > & | getBoundingBox () const =0
| Get an axis aligned bounding box of the mesh.
virtual IMeshBuffer * | getMeshBuffer (const video::SMaterial &material) const =0
| Get pointer to a mesh buffer which fits a material.
virtual IMeshBuffer * | getMeshBuffer (u32 nr) const =0
| Get pointer to a mesh buffer.
virtual u32 | getMeshBufferCount () const =0
| Get the amount of mesh buffers.
virtual void | setBoundingBox (const core::aabbox3df &box)=0
| Set user-defined axis aligned bounding box.
virtual void | setDirty (E_BUFFER_TYPE buffer=EBT_VERTEX_AND_INDEX)=0
| Flag the meshbuffer as changed, reloads hardware buffers.
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING newMappingHint, E_BUFFER_TYPE buffer=EBT_VERTEX_AND_INDEX)=0
| Set the hardware mapping hint.
virtual void | setMaterialFlag (video::E_MATERIAL_FLAG flag, bool newvalue)=0
| Sets a flag of all contained materials to a new value.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Interface for a Mesh which can be loaded directly from a Quake3 .bsp-file.

The Mesh tries to load all textures of the map.

Definition at line 17 of file IQ3LevelMesh.h.

## Member Function Documentation

## getBrushEntityMesh() [1/2]

virtual IMesh * irr::scene::IQ3LevelMesh::getBrushEntityMesh | ( | quake3::IEntity & | ent | ) | const

pure virtual

returns the requested brush entity

## getBrushEntityMesh() [2/2]

virtual IMesh * irr::scene::IQ3LevelMesh::getBrushEntityMesh | ( | s32 | num | ) | const

pure virtual

returns the requested brush entity

Parameters

  num | The number from the model key of the entity.

Use this interface if you parse the entities yourself.

## getEntityList()

virtual quake3::tQ3EntityList & irr::scene::IQ3LevelMesh::getEntityList | ( |  | ) |

pure virtual

get's an interface to the entities

## getShader() [1/2]

virtual const quake3::IShader * irr::scene::IQ3LevelMesh::getShader | ( | const c8 * | filename,
|  | bool | fileNameIsValid = true )

pure virtual

loads the shader definition from file

Parameters

  filename | Name of the shaderfile, defaults to /scripts if fileNameIsValid is false.
  fileNameIsValid | Specifies whether the filename is valid in the current situation.

## getShader() [2/2]

virtual const quake3::IShader * irr::scene::IQ3LevelMesh::getShader | ( | u32 | index | ) | const

pure virtual

returns a already loaded Shader

The documentation for this class was generated from the following file:

- IQ3LevelMesh.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0